org.eclipse.wst.jsdt.chromium.util

## Interface SignalRelay.Callback<S>

Enclosing class:
  SignalRelay<SIGNAL>

    public static interface SignalRelay.Callback<S>

An interface to notify a user about a received signal.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `onSignal(S signal, java.lang.Exception cause)` Called from the thread that initiated a broadcast (i.e. called `onSignal(Object, Exception)`).

### Method Detail

#### onSignal

    void onSignal(S signal,
                  java.lang.Exception cause)
           throws java.lang.RuntimeException,
                  java.lang.Error

Called from the thread that initiated a broadcast (i.e. called `onSignal(Object, Exception)`).

Throws:
  `java.lang.RuntimeException` - thrown exception gets caught and logged
  `java.lang.Error` - not caught